com.sun.jna.platform.win32

## Class WinBase.DCB

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.DCB

Enclosing interface:
  WinBase

    @Structure.FieldOrder(value={"DCBlength","BaudRate","controllBits","wReserved","XonLim","XoffLim","ByteSize","Parity","StopBits","XonChar","XoffChar","ErrorChar","EofChar","EvtChar","wReserved1"})
    public static class WinBase.DCB
    extends Structure

Defines the control setting for a serial communications device.

### Nested Class Summary

Nested Classes
`static class` `WinBase.DCB.DCBControllBits` Type is used to handle the bitfield of the DBC structure.

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `BaudRate` The baud rate at which the communications device operates.
`WinDef.BYTE` `ByteSize` The number of bits in the bytes transmitted and received.
`WinBase.DCB.DCBControllBits` `controllBits` Contains all the bit wise setting entries.
`WinDef.DWORD` `DCBlength` The length of the structure, in bytes.
`char` `EofChar` The value of the character used to signal the end of data.
`char` `ErrorChar` The value of the character used to replace bytes received with a parity error.
`char` `EvtChar` The value of the character used to signal an event.
`WinDef.BYTE` `Parity` The parity scheme to be used.
`WinDef.BYTE` `StopBits` The number of stop bits to be used.
`WinDef.WORD` `wReserved` Reserved; must be zero.
`WinDef.WORD` `wReserved1` Reserved; do not use.
`char` `XoffChar` The value of the XOFF character for both transmission and reception.
`WinDef.WORD` `XoffLim` The minimum number of free bytes allowed in the input buffer before flow control is activated to inhibit the sender.
`char` `XonChar` The value of the XON character for both transmission and reception.
`WinDef.WORD` `XonLim` The minimum number of bytes in use allowed in the input buffer before flow control is activated to allow transmission by the sender.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DCB()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DCBlength

    public WinDef.DWORD DCBlength

The length of the structure, in bytes. The caller must set this member to sizeof(DCB).

#### BaudRate

    public WinDef.DWORD BaudRate

The baud rate at which the communications device operates. This member can be an actual baud rate value, or one of the following indexes.
`WinBase.CBR_110`
`WinBase.CBR_300`
`WinBase.CBR_600`
`WinBase.CBR_1200`
`WinBase.CBR_2400`
`WinBase.CBR_4800`
`WinBase.CBR_9600`
`WinBase.CBR_14400`
`WinBase.CBR_19200`
`WinBase.CBR_38400`
`WinBase.CBR_56000`
`WinBase.CBR_128000`
`WinBase.CBR_256000`

#### controllBits

    public WinBase.DCB.DCBControllBits controllBits

Contains all the bit wise setting entries.

#### wReserved

    public WinDef.WORD wReserved

Reserved; must be zero.

#### XonLim

    public WinDef.WORD XonLim

The minimum number of bytes in use allowed in the input buffer before flow control is activated to allow transmission by the sender. This assumes that either XON/XOFF, RTS, or DTR input flow control is specified in the fInX, fRtsControl, or fDtrControl members.

#### XoffLim

    public WinDef.WORD XoffLim

The minimum number of free bytes allowed in the input buffer before flow control is activated to inhibit the sender. Note that the sender may transmit characters after the flow control signal has been activated, so this value should never be zero. This assumes that either XON/XOFF, RTS, or DTR input flow control is specified in the fInX, fRtsControl, or fDtrControl members. The maximum number of bytes in use allowed is calculated by subtracting this value from the size, in bytes, of the input buffer.

#### ByteSize

    public WinDef.BYTE ByteSize

The number of bits in the bytes transmitted and received.

#### Parity

    public WinDef.BYTE Parity

The parity scheme to be used. This member can be one of the following values.
`WinBase.EVENPARITY`
`WinBase.ODDPARITY`
`WinBase.NOPARITY`
`WinBase.SPACEPARITY`
`WinBase.MARKPARITY`

#### StopBits

    public WinDef.BYTE StopBits

The number of stop bits to be used. This member can be one of the following values.
`WinBase.ONESTOPBIT`
`WinBase.ONE5STOPBITS`
`WinBase.TWOSTOPBITS`

#### XonChar

    public char XonChar

The value of the XON character for both transmission and reception.

#### XoffChar

    public char XoffChar

The value of the XOFF character for both transmission and reception.

#### ErrorChar

    public char ErrorChar

The value of the character used to replace bytes received with a parity error.

#### EofChar

    public char EofChar

The value of the character used to signal the end of data.

#### EvtChar

    public char EvtChar

The value of the character used to signal an event.

#### wReserved1

    public WinDef.WORD wReserved1

Reserved; do not use.

### Constructor Detail

#### DCB

    public DCB()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.